Public Member Functions
CNurbsSurfaceDataArray Class Reference

## Detailed Description

The CNurbsSurfaceDataArray is an uni-dimensional array of CNurbsSurfaceData objects.

The array is zero-based, which means that the first item index is 0 and the larger index is one less that the number of elements contained in the array.

See also:
  CNurbsSurfaceData, X3DObject::AddNurbsSurfaceMesh, NurbsSurfaceMesh::Get, NurbsSurfaceMesh::Set

`#include <xsi_nurbsdata.h>`

List of all members.

## Public Member Functions
| CNurbsSurfaceDataArray (LONG in_size=0)
| CNurbsSurfaceDataArray (const CNurbsSurfaceDataArray &in_array)
| ~CNurbsSurfaceDataArray ()
CNurbsSurfaceDataArray & | operator= (const CNurbsSurfaceDataArray &in_array)
LONG | GetCount () const
CStatus | Add (const CNurbsSurfaceData &in_item)
CStatus | Clear ()
CStatus | Resize (LONG in_size)
const CNurbsSurfaceData & | operator[] (LONG in_index) const
CNurbsSurfaceData & | operator[] (LONG in_index)
bool | operator== (const CNurbsSurfaceDataArray &in_array) const
bool | operator!= (const CNurbsSurfaceDataArray &in_array) const

## Constructor & Destructor Documentation

CNurbsSurfaceDataArray | ( | LONG | in_size = `0` | ) |

Constructs a CNurbsSurfaceDataArray and optionally initializes the array to a known size.

Parameters:

  in_size | Size of array, defaults to 0.

CNurbsSurfaceDataArray | ( | const CNurbsSurfaceDataArray & | in_array | ) |

Constructs a CNurbsSurfaceDataArray object from another CNurbsSurfaceDataArray object.

Parameters:

  in_array | constant CNurbsSurfaceDataArray object.

~CNurbsSurfaceDataArray | ( |  | ) |

Default destructor.

## Member Function Documentation

CNurbsSurfaceDataArray& operator= | ( | const CNurbsSurfaceDataArray & | in_array | ) |

Assignment operator.

Parameters:

  in_array | constant class object.

Returns:
  A reference to this array.

LONG GetCount | ( |  | ) | const

Returns the number of items in this CNurbsSurfaceDataArray

Returns:
  The number of items in the array.

CStatus Add | ( | const CNurbsSurfaceData & | in_item | ) |

Adds a CNurbsSurfaceData at the end of this array.

Parameters:

  in_item | New item to be added at the end of the array.

Returns:
  CStatus::OK success

CStatus Clear | ( |  | ) |

Erases all elements contained in the array.

Returns:
  CStatus::OK success

CStatus Resize | ( | LONG | in_size | ) |

Reallocates memory for the array, preserves its contents if the new size is larger than existing size.

Parameters:

  in_size | New size of the array.

Returns:
  CStatus::OK success
  CStatus::InvalidArgument in_size < 0

const CNurbsSurfaceData& operator[] | ( | LONG | in_index | ) | const

Accessor to elements at a given index. This function can only be called by constant objects, and the returned value is read-only.

Parameters:

  in_index | index in this zero-based array. The index must be greater or equal to zero and smaller than the number of element in the array, otherwise the results are unpredictable.

Returns:
  A read-only reference to the indexed item.

CNurbsSurfaceData& operator[] | ( | LONG | in_index | ) |

Accessor to elements at a given index.

Parameters:

  in_index | index in this zero-based array. The index must be greater or equal to zero and smaller than the number of element in the array, otherwise the results are unpredictable.

Returns:
  A reference to the indexed item.

bool operator== | ( | const CNurbsSurfaceDataArray & | in_array | ) | const

Equality operator.

Parameters:

  in_array | CNurbsSurfaceDataArray to compare with.

Returns:
  true if in_array contains the same number of elements than this array and that all members of in_array are equal to the corresponding one contained in this array.

bool operator!= | ( | const CNurbsSurfaceDataArray & | in_array | ) | const

Inequality operator

Parameters:

  in_array |

Returns:
  true if one member of in_array is different of the corresponding members in this array or if the arrays are not of the same size.

The documentation for this class was generated from the following file:

- xsi_nurbsdata.h